From: Markus Koschany <apo@debian.org>
Date: Sat, 20 Feb 2021 16:41:54 +0100
Subject: debian bug 983144

Bug-Debian: https://bugs.debian.org/983144
Origin: https://github.com/unknown-horizons/unknown-horizons/commit/7f6f613826aef9810999c1599c8354e8a78fbdb4.patch
---
 horizons/util/loaders/jsondecoder.py | 2 +-
 horizons/util/preloader.py           | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/horizons/util/loaders/jsondecoder.py b/horizons/util/loaders/jsondecoder.py
index ea2ddfb..138a948 100644
--- a/horizons/util/loaders/jsondecoder.py
+++ b/horizons/util/loaders/jsondecoder.py
@@ -37,4 +37,4 @@ class JsonDecoder:
 			return newdict
 
 		with open(path, "r") as f:
-			return json.load(f, encoding="ascii", object_hook=_decode_dict)
+			return json.load(f, object_hook=_decode_dict)
diff --git a/horizons/util/preloader.py b/horizons/util/preloader.py
index 5689cc6..2e072fc 100644
--- a/horizons/util/preloader.py
+++ b/horizons/util/preloader.py
@@ -79,9 +79,9 @@ class PreloadingThread(threading.Thread):
 		"""
 		self.lock.acquire()
 		# wait until it finished its current action
-		if self.isAlive():
+		if self.is_alive():
 			self.join()
-			assert not self.isAlive()
+			assert not self.is_alive()
 		else:
 			try:
 				self.lock.release()
